Overview

The objective of littlepeter Squares is to eliminate as many blocks as possible. When four blocks of the same kind form the four corners of a square, they will be eliminated. You can move the blocks by rotating them, four at a time.

Copyright © 2003, littlepeter.com. All rights reserved.


Tutorial

This tutorial will show you the basic operations.

In the following picture, the the three blue blocks on the top right corner already forms three corners of a square, so they can be eliminated by adding the fourth corner. This can be achieved by rotating the highlighted four blocks one step counter clockwise (left-click).

After the rotation, the following will result, and the four blue blocks will be eliminated.

Sometimes the situation may not be that obvious. For example, in the following picture, the three yellow blocks on the left form three corners of a square:

By rotating the highlighted blocks counter clockwise, the four yellow blocks form a square:


The Play Area

Life bar: the game ends when the life bar reaches zero. Life decreases gradually as time passes, it will also decrease after each move.

Level: the higher the level, the more units of life will be deducted after a move is made.

Blocks: the total number of blocks destroyed.

Next Level: the number of blocks to be destroyed before you're advanced to the next level.

Score: your score

Bonus: a bonus block will be shown here periodically. When you destroy a block of the same kind as the bonus block, a "super power" block will appear and will destroy all the blocks in the squares that it is part of. The bonus block will not go away as time passes, but it will go away immediately after a move is made. So there's only one chance to take the bonus

Run: the number of consecutive square-forming moves. When you make a move but no squares are formed, the run drops back to 0. Try to keep it as large as possible, this is the most crucial factor for scoring high.

Combo: the number of times that squares are formed by a single move. The larger the combo, the higher the score.

Sound On / Sound Off: click to turn sound on or off

WIndowed / Full Screen: click to switch to full screen or windowed mode

Exit: click to quit the game

littlepeter.com: click to go to our company homepage


Controls

Left-click: rotate the blocks counter clockwise

Right-click: rotate the blocks clockwise

Spacebar: to display the squares that can be formed within one move, this feature is available only to registered users.


Scoring

The larger the square, the higher the score:
Larger squares are less noticeable than smaller ones, that's why they score higher.

The more inclined the square is, the higher the score:
Squares that are lifted at one end are even less obvious, so they score higher.

The larger the combo, the higher the score :
This is obvious, but in this game, a combo is usually a result of luck more than skill,

The longer the run, the higher the score:
This is the most crucial factor for scoring high. Try to keep the run as long as possible, look for squares that can be formed within one move.

Try your best to hit the bonus:
Hitting the bonus gives you not only score, but also a longer life.

When you hit the bonus while having a long run......
You can score millions!


Registration

Advantages of the Registered Version

  • Unlimited levels of play
  • Able to get hints on formable squares by pressing the spacebar.

How to Register

  • Go to the registration page of littlepeter Squares below and purchase a license:
    http://www.littlepeter.com/register/squares/squares.htm
  • Upon confirmation of payment, a email containing the registration code will be sent to you. Click "REGISTER" in the title page of littlepeter Squares and then enter the code.


License

LITTLEPETER SQUARES - PRODUCT LICENSE INFORMATION

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

  1. LICENSE GRANT. littlepeter.com grants you a license to use one copy of the version of this SOFTWARE on any one system for as many licenses as you purchase. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. This license is not transferable to any other system, or to another organization or individual. You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction; therefore, you understand and agree that there is no refund policy for any purchase of the SOFTWARE.
  2. OWNERSHIP. The SOFTWARE is owned and copyrighted by littlepeter.com. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE .
  3. COPYRIGHT. The SOFTWARE is protected by Hong Kong copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of littlepeter.com and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.
  4. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.
  5. NO OTHER WARRANTIES. LITTLEPETER.COM DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. LITTLEPETER.COM DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.
  6. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.
  7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL LITTLEPETER.COM OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF LITTLEPETER.COM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL LITTLEPETER.COM'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.
  8. GOVERNING LAW. This license will be governed by the laws of Hong Kong and international treaties.
  9. ENTIRE AGREEMENT. This is the entire agreement between you and littlepeter.com which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.